<?php
/**
 *  Fluistr Authentication
 *
 *  @package fluistr-athentication
 *  @version 1.0.1
 *  @subpackage fluistr-login
 */

if ( ! defined( 'ABSPATH' ) || ! class_exists( 'FluistrLoginController', false ) ) {
	exit;
}
$expires = time() + intval( WPFluistrAuth::get_option( 'expires' ) );
global $fluistr;
global $fluistr_qrcode_uri;
global $fluistr_nonce;
?>
<div id="fluistr-container">
<input type="hidden" id="fluistr-nonce" value="<?php echo ! empty( $fluistr_nonce ) ? $fluistr_nonce : ''; ?>" />
<input type="hidden" id="fluistr-expires" value="<?php echo ! empty( $expires ) ? $expires - time() : 100; ?>" />

<?php if ( is_user_logged_in() ) : ?>

	<div><div class="unlocked"><div class="icon-unlocked" onclick="document.location='<?php echo get_dashboard_url(); ?>'" style="cursor:pointer"></div>Login successful</div></div>
<?php elseif ( ! empty( $fluistr_qrcode_uri ) ) : ?>
	<div class="is-mobile icon-container"><a href="fluistr://<?php echo rawurlencode( $fluistr_qrcode_uri ); ?>"><span class="icon-phone"></span></a></div> 
	<div class="is-desktop" id="qrcode" onclick="document.location='fluistr://<?php echo rawurlencode( $fluistr_qrcode_uri ); ?>';"><?php echo $fluistr_qrcode_uri; ?></div>
	<?php if ( ! empty( $fluistr_nonce ) ) : ?>
<p class="is-mobile">
	<br/>
	<a href="fluistr://<?php echo rawurlencode( $fluistr_qrcode_uri ); ?>">Tap to create a Fluistr connection with the Fluistr app</a>
	<div class="is-mobile" style="height:100px"></div>
</p>
<ul class="is-desktop">
	<li><span class="number">1</span>Open the Fluistr app</li>
	<li><span class="number">2</span>Add a new connection</li>
	<li><span class="number">3</span>Scan the code</li>
</ul>
<p>QR-code invalid after <span id="fluistr-counter"></span> seconds.</p>
<?php else : ?>
	<a href="<?php echo FluistrLoginController::fluistr_login_url(); ?>action=lostpassword">Create a new connection</a>
<?php endif; ?>
<?php endif; ?>
</div>
