<?php
/**
 *  Fluistr Authentication
 *
 *  @package fluistr-athentication
 *  @version 1.0.1
 *  @subpackage fluistr-settings
 */

if ( ! defined( 'ABSPATH' ) || ! class_exists( 'WPFluistrAuth', false ) ) {
	exit;
}
?>
<div class="section-part">
	<div class="sections-box">
		<div class="box-half">
			<h2>
				<?php _e( 'Start using Fluistr', 'fluistr-auth' ); ?>
			</h2>
			<ol>
				<li>
					<?php _e( 'Go to the user overview page and turn on the Fluistr switch for a user (probably you 😉)', 'fluistr-auth' ); ?>
				</li>
				<li>
					<?php _e( 'Download the Fluistr app for iOS or Android', 'fluistr-auth' ); ?>
				</li>
				<li>
					<?php _e( 'Log out of this WordPress environment, go back to your login page and create a new Fluistr connection', 'fluistr-auth' ); ?>
				</li>
			</ol>
			<p><em>
					<?php _e( 'If you need more help, read our install & setup guide.', 'fluistr-auth' ); ?>
				</em><br /><br /><a class="button" href="https://fluistr.com/the-fluistr-app-install/" target="_blank">
					<?php _e( 'Fluistr install & setup guide', 'fluistr-auth' ); ?>
				</a></p>
			<br />
		</div>
		<div class="box-half" style="padding:40px">
			<img src="<?php echo plugins_url( '/modules/fluistr-settings/assets/dashboard-users.jpg', WP_FLUISTR_PLUGIN_BASENAME ); ?>"
				width="100%" />
		</div>
	</div>
</div>

<div class="sections-box">
	<div class="box-half">
		<div class="section-part" style="min-height:420px;">
			<h3>
				<?php _e( 'Download the free Fluistr app', 'fluistr-auth' ); ?>
			</h3>
			<p>
				<?php _e( 'Fluistr is based on a secure 1 on 1 tunnel connection between the WordPress website and the Fluistr app on your mobile phone. Thus no servers, software, third parties or other unknown devices can interfere.', 'fluistr-auth' ); ?>
			</p>
			<div style="text-align:center">
				<p>
					<br />
					<a href="https://apps.apple.com/nl/app/id1542398700" target="_blank"><img
							src="<?php echo plugins_url( '/modules/fluistr-settings/assets/Appstore-Button.png', WP_FLUISTR_PLUGIN_BASENAME ); ?>"
							width="115" /></a>&nbsp;&nbsp;&nbsp;
					<a href="https://play.google.com/store/apps/details?id=com.fluistrapp" target="_blank"><img
							src="<?php echo plugins_url( '/modules/fluistr-settings/assets/Google-Playstore.png', WP_FLUISTR_PLUGIN_BASENAME ); ?>"
							width="115" /></a>
				</p>
				<img src="<?php echo plugins_url( '/modules/fluistr-settings/assets/dashboard-connect.jpg', WP_FLUISTR_PLUGIN_BASENAME ); ?>"
					width="100%" style="max-width:600px;" />
			</div>
		</div>
	</div>

	<div class="box-half">
		<div class="section-part">
			<div class="sections-box" style="min-height:200px;">
				<div class="box-half">
					<h3>
						<?php _e( 'Learn about Fluistr', 'fluistr-auth' ); ?>
					</h3>
					<?php _e( 'Instructions on everything you want learn about this WordPress plugin and the Fluistr apps.', 'fluistr-auth' ); ?>
					<p><a class="button" href="https://fluistr.com/" target="_blank">
							<?php _e( 'Fluistr website', 'fluistr-auth' ); ?>
						</a></p>
					<br />
				</div>
				<div class="box-half hidden-md">
					<br />
					<img src="<?php echo plugins_url( '/modules/fluistr-settings/assets/dashboard-stars.jpg', WP_FLUISTR_PLUGIN_BASENAME ); ?>"
						width="100%" />
					<br />
				</div>
			</div>
		</div>
		<div class="section-part" style="min-height:200px;">
			<div class="sections-box">
				<div class="box-half">
					<h3>
						<?php _e( 'Ask for support', 'fluistr-auth' ); ?>
					</h3>
					<?php _e( 'Drop us a message with any question regarding to our products. we are happy to help you!', 'fluistr-auth' ); ?>
					<p><a class="button" href="https://fluistr.com/contact-support/" target="_blank">
							<?php _e( 'Contact & Support', 'fluistr-auth' ); ?>
						</a></p>
					<br />
				</div>
				<div class="box-half hidden-md">
					<br />
					<img src="<?php echo plugins_url( '/modules/fluistr-settings/assets/dashboard-support.png', WP_FLUISTR_PLUGIN_BASENAME ); ?>"
						width="100%" />
					<br />
				</div>
			</div>
		</div>
	</div>
</div>
<?php require dirname( __FILE__ ) . '/get-pro-box.php'; ?>