<?php
/**
 *  Fluistr Authentication
 *
 *  @package fluistr-athentication
 *  @version 1.0.1
 *  @subpackage fluistr-settings
 */

if ( ! defined( 'ABSPATH' ) || ! class_exists( 'WPFluistrAuth', false ) ) {
	exit;
}
?>
<div class="sections-part">
	<div class="section-part">
		<h2><?php _e( 'Terms of Service', 'fluistr-auth' ); ?></h2>
<?php
		$value     = WPFluistrAuth::get_option( 'fluistr_activated' );
		$activated = isset( $value ) && $value == '1' ? true : false;

		print_start_table_form();

	if ( ! $activated ) :
?>
		<div class="info-panel" style="background-color:rgba(0,0,0,.02)"><br/><strong class="danger"><?php _e( 'Fluistr is not activated yet.', 'fluistr-auth' ); ?></strong>
		<p><?php _e( 'By default the plugin is not activated. After accepting the terms of service and understanding the usage of the plugin, you can activate it and enjoy a safer login process!', 'fluistr-auth' ); ?></p>
		</div>
		<?php
	endif;

	echo get_checkbox( 'fluistr_activated', '<strong>' . sprintf( __( 'I agree with the <a href="%s" target="_blank">terms of service</a> and activate Fluistr Authentication', 'fluistr-auth' ), 'https://fluistr.com/terms-of-service/' ) . '</strong>' );
	if ( $activated ) :
		echo '<p><a class="button-info" href="#dashboard">' . __( 'Start using Fluistr', 'fluistr-auth' ) . '</a>';
	endif;
	echo '<br/><br/>';
	print_end_table_form();
?>
	</div>
	<div class="section-part" <?php echo defined( 'WP_FLUISTR_LICENSED' ) ? '' : 'style="opacity:.5'; ?>">
<?php
		print_start_table_form();
		echo '<h3>Force Fluistr modus ' . ( ! defined( 'WP_FLUISTR_LICENSED' ) ? '<small>(' . __( 'Pro version', 'fluistr-auth' ) . '</small>' : '' ) . '</h3><p>' . __( 'When Force Fluistr Mode is activated, all users are required to authenticate via Fluistr and the password field will be disabled. Users always have the option to log in via the Magic Link (for example when they lose their phone).', 'fluistr-auth' ) . '<br/></p>';
		echo get_checkbox( 'stealth_modus', '<strong>' . __( 'Activate force Fluistr', 'fluistr-auth' ) . '</strong>', ! defined( 'WP_FLUISTR_LICENSED' ) );
		echo '</p>';

		print_end_table_form();
?>
		<br/>
	</div>
</div>
<div class="sections-box" style="max-width:1000px;">
	<span class="reset-button"><a href="#" onclick="resetToDefaults('<?php echo WPFluistrSettingsPage::MENU_SLUG; ?>');return false" class="button"><?php _e( 'Reset settings', 'fluistr-auth' ); ?></a></span>
	<?php submit_button(); ?>
</div>
