<?php
/**
 *  Fluistr Authentication Users Module
 *
 *  @class WPFluistrAuth
 *  @package fluistr-athentication
 *  @version 1.0.1
 *  @subpackage fluistr-users
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
function load_mod_fluistr_users()
{
    if (empty(WPFluistrAuth::get_option('fluistr_activated'))) return;

    WPFluistrAuth::AddModule('fluistr_users',array(
		'name' => 'Fluistr Users',	
		'version'=>'1.0.0'
    ));

    function init_mod_fluistr_users()
    {
        function new_modify_user_table( $column ) {
            $column['fluistr'] = 'Fluistr';
            return $column;
        }
        add_filter( 'manage_users_columns', 'new_modify_user_table' );

        function new_modify_user_table_row( $val, $column_name, $user_id ) {
            switch ($column_name) {
                case 'fluistr' :

                    $bool = WPFluistrAuth::stealth_modus() || get_user_meta( $user_id, 'fluistr_activated', true );
                        $html = '<label class="switch" id="fluistr-btn-'.$user_id.'" '.( WPFluistrAuth::stealth_modus()?'onclick="alert(\''.__('Fluistr modus is forced for all users.\nYou can manage this setting on the Fluistr settings page.').'\');return false"':'onclick="fluistr_user_toggle('.$user_id.');return false"').' title="'.(!empty($bool)?__('Fluistr activated for this account'):__('Not active')).'">
                        <div class="slider round '.(!empty($bool)?'active':'').'"><span class="on">ON</span><span class="off">OFF</span></div>
                        </label>';
                        $first = get_user_meta( $user_id, 'fluistr_init', true );
                
                        if (!empty($bool) && !empty($first))
                        {
                            $html .= '<div class="icon-fluistr-mail" title="'.__('Activation e-mail sent').'"></div>';
                            return $html;
                        }

                        $fluistr_door = get_user_meta($user_id,'fluistr_door',true);
                        if (!empty($bool) && !empty($fluistr_door)) $html .= '<div class="icon-fluistr-door" title="'.__('Connected').'"></div>';
                    return $html;
                    break;
                default:
            }
            return $val;
        }
        add_filter( 'manage_users_custom_column', 'new_modify_user_table_row', 10, 3 );

        require_once dirname(__FILE__).'/ajax-switch.php';

    }

    add_action('wp_fluistr_init','init_mod_fluistr_users');
}

add_action('wp_fluistr_modules','load_mod_fluistr_users');
